Last Comment Bug 710347 - Failure in testPasswordManager :: testPasswordNotSaved
: Failure in testPasswordManager :: testPasswordNotSaved
Status: VERIFIED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Alex Lakatos[:AlexLakatos]
:
:
Mentors:
http://mozmill-release.brasstacks.moz...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-13 12:38 PST by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2012-07-19 04:47 PDT (History)
5 users (show)
alex.lakatos.qa: in‑litmus+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
disable test: default/aurora [checked-in] (1.16 KB, patch)
2011-12-14 09:58 PST, Alex Lakatos[:AlexLakatos]
anthony.s.hughes: review+
Details | Diff | Splinter Review

Description Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-13 12:38:39 PST
This just started happening recently on Nightly and Aurora though intermittently. It appears to be Mac only.

Test: testPasswordManager :: testPasswordNotSaved.js :: testPasswordNotSaved()
Fail: Pane has been changed - expected 'panePrivacy'
Comment 1 Maniac Vlad Florin (:vladmaniac) 2011-12-14 05:57:35 PST
Assigning to Alex
Comment 2 Alex Lakatos[:AlexLakatos] 2011-12-14 09:58:11 PST
Created attachment 581694 [details] [diff] [review]
disable test: default/aurora [checked-in]

I could not figure out the issue. I'm still investigating, but skipping the test for now, as to our policy.
Comment 3 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-14 10:53:03 PST
Comment on attachment 581694 [details] [diff] [review]
disable test: default/aurora [checked-in]

Landed:
http://hg.mozilla.org/qa/mozmill-tests/rev/43597e45052b (default)
http://hg.mozilla.org/qa/mozmill-tests/rev/dfabcd7f5ecf (mozilla-aurora)
Comment 4 Alex Lakatos[:AlexLakatos] 2012-02-08 08:15:19 PST
I ran this today on Lion, 100 times for each branch. And out of that it only failed once on Nightly. Can we unskip the test?
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-08 08:20:11 PST
(In reply to Alex Lakatos[:AlexLakatos] from comment #4)
> I ran this today on Lion, 100 times for each branch. And out of that it only
> failed once on Nightly. Can we unskip the test?

Were you able to reproduce the failure locally before this test was skipped?
Comment 6 Alex Lakatos[:AlexLakatos] 2012-02-08 08:25:18 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #5)
> Were you able to reproduce the failure locally before this test was skipped?
It was failing more than once during 200 runs. But not a lot more. I could not reproduce the failure when running the test once, instead of running it in a for loop.
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-08 08:38:08 PST
Then I would say the situation has not improved, and since there is no change in Firefox code we can't just re-enable the test. Until we can figure out why it intermittently fails we cannot re-enable this test.
Comment 8 Maniac Vlad Florin (:vladmaniac) 2012-02-08 11:26:24 PST
Please check out bug 671382. I'm working to fix the paneId setter right now.
Taking all the failures into consideration, I'll double the efforts with Alex's help in finding a robust fix.
Comment 9 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-06-05 04:13:25 PDT
Alex, do you have an update for us?
Comment 10 Dave Hunt (:davehunt) 2012-06-18 04:45:55 PDT
Any updates?
Comment 11 Alex Lakatos[:AlexLakatos] 2012-06-20 12:16:02 PDT
It's passing now, but I'm still running it over and over to determine if we are safe to re-enable it.
Comment 13 Alex Lakatos[:AlexLakatos] 2012-06-25 02:15:45 PDT
Based on Comment 12, I think we're safe to re-enable it for default and go from there. Henrik, what do you think?
Comment 14 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-06-25 10:03:24 PDT
Ok, lets try that. Landed on default as:
http://hg.mozilla.org/qa/mozmill-tests/rev/1397c0ccc72a

Alex, please check which branches are affected. I assume all of the supported ones. If it sticks green we can transplant to older branches by mid of this week.
Comment 15 Alex Lakatos[:AlexLakatos] 2012-06-27 05:44:11 PDT
(In reply to Henrik Skupin (:whimboo) from comment #14)
> Ok, lets try that. Landed on default as:
> http://hg.mozilla.org/qa/mozmill-tests/rev/1397c0ccc72a
> 
> Alex, please check which branches are affected. I assume all of the
> supported ones. If it sticks green we can transplant to older branches by
> mid of this week.
Latest run in CI passes.
http://mozmill-ci.blargon7.com/#/functional/report/9acea0c923846813ba8ce41994000af5

This needs to land on aurora, beta, release and esr10.
Comment 16 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-06-27 05:47:36 PDT
Pushed:
http://hg.mozilla.org/qa/mozmill-tests/rev/c55ad3bc7803 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/e9af10605968 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/b570a5a1027c (release)
http://hg.mozilla.org/qa/mozmill-tests/rev/799e387e806a (esr10)

Please update all the Litmus tests which are disabled.
Comment 18 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-06-28 09:29:26 PDT
An update for the litmus testcase of the esr10 branch is still missing.
Comment 19 Alex Lakatos[:AlexLakatos] 2012-06-28 09:32:48 PDT
I'm not seeing an esr branch in litmus. There are several tests for the aurora branch, but I can't see an esr branch.
Comment 20 Henrik Skupin (:whimboo) [away 09/30 - 10/06] 2012-06-28 10:15:26 PDT
This is Firefox 10.0!
Comment 21 Alex Lakatos[:AlexLakatos] 2012-07-19 04:47:40 PDT
Edited this a while back but seems I forgot to flip the flag.
https://litmus.mozilla.org/show_test.cgi?id=40737

Note You need to log in before you can comment on or make changes to this bug.